SUSE 5000 Published by

An ImageMagick security update has been released for openSUSE Leap 15.4.



SUSE-SU-2023:3186-1: low: Security update for ImageMagick


# Security update for ImageMagick

Announcement ID: SUSE-SU-2023:3186-1
Rating: low
References:

* #1213624

Cross-References:

* CVE-2023-3745

CVSS scores:

* CVE-2023-3745 ( SUSE ): 3.3 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
* CVE-2023-3745 ( NVD ): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Affected Products:

* openSUSE Leap 15.4

An update that solves one vulnerability can now be installed.

## Description:

This update for ImageMagick fixes the following issues:

* CVE-2023-3745: Fixed heap out of bounds read in PushCharPixel() in quantum-
private.h (bsc#1213624).

## Patch Instructions:

To install this SUSE Low update use the SUSE recommended installation methods
like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

* openSUSE Leap 15.4
zypper in -t patch openSUSE-SLE-15.4-2023-3186=1

## Package List:

* openSUSE Leap 15.4 (x86_64)
* libMagick++-7_Q16HDRI4-32bit-debuginfo-7.0.7.34-150200.10.51.1
* libMagickCore-7_Q16HDRI6-32bit-7.0.7.34-150200.10.51.1
* libMagickWand-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-150200.10.51.1
* libMagick++-7_Q16HDRI4-32bit-7.0.7.34-150200.10.51.1
* libMagickWand-7_Q16HDRI6-32bit-7.0.7.34-150200.10.51.1
* libMagickCore-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-150200.10.51.1
* openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64)
* libMagickWand-7_Q16HDRI6-debuginfo-7.0.7.34-150200.10.51.1
* libMagick++-7_Q16HDRI4-7.0.7.34-150200.10.51.1
* libMagickCore-7_Q16HDRI6-7.0.7.34-150200.10.51.1
* libMagickWand-7_Q16HDRI6-7.0.7.34-150200.10.51.1
* libMagickCore-7_Q16HDRI6-debuginfo-7.0.7.34-150200.10.51.1
* libMagick++-7_Q16HDRI4-debuginfo-7.0.7.34-150200.10.51.1

## References:

* https://www.suse.com/security/cve/CVE-2023-3745.html
* https://bugzilla.suse.com/show_bug.cgi?id=1213624